# Class PowerActionRequest

Namespace
  adas_core.Controllers

Assembly
  adas-core.dll

Represents a request to perform a power-related action, encapsulating the data required to execute the operation.

    public class PowerActionRequest

Inheritance
  object
  PowerActionRequest

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Bed

    public string Bed { get; set; }

#### Property Value

string

### PointOfCareId

    public string PointOfCareId { get; set; }

#### Property Value

string

### UnitId

    public string UnitId { get; set; }

#### Property Value

string